features:
  secondary:
    - name: "Geo support for PostgreSQL high-availability in Alpha"
      available_in: [premium, ultimate]
      gitlab_com: false
      documentation_link: 'https://docs.gitlab.com/ee/administration/geo/setup/database.html#patroni-support'
      reporter: fzimmer
      stage: enablement
      categories:
        - "Disaster Recovery"
      epic_url: 'https://gitlab.com/groups/gitlab-org/-/epics/4798'
      description: |
        [Patroni](https://github.com/zalando/patroni) is a solution for
        PostgreSQL high availability which also allows the
        configuration of a highly available PostgreSQL standby cluster on a Geo
        secondary. This configuration is important when a secondary is used as
        part of a disaster recovery strategy because it allows systems
        administrators to mirror the number of database nodes on the primary and
        secondary. This means that after a failover, no additional database nodes need to be provisioned to regain high-availability.
        
        Geo now provides [alpha-level](https://about.gitlab.com/handbook/product/gitlab-the-product/#alpha) support for highly available PostgreSQL configurations using [Patroni](https://docs.gitlab.com/ee/administration/postgresql/replication_and_failover.html#patroni). We've upgraded [Patroni to 2.0.1](https://gitlab.com/gitlab-org/omnibus-gitlab/-/issues/5870), added [failover documentation](https://gitlab.com/gitlab-org/gitlab/-/issues/276471), and fixed a number of bugs.
